package com.alttd.altitudeweb.database.chat;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface ChatLogMapper {

    @Select("""
            SELECT uuid, time_stamp, server, mini_message, blocked
            FROM chat_log
            WHERE mini_message IS NOT NULL
            AND time_stamp >= #{since}
            """)
    List<ChatLogDao> getChatLogs(@Param("since") long since);

}
